package domain

type AlibabaHmMarketingItembuygiftCreateactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   创建成功时会返回五道口活动id     */
	Data *int64 `json:"data,omitempty" `

	/*
	   创建活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftCreateactivityMarketResult) SetMessage(v string) *AlibabaHmMarketingItembuygiftCreateactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItembuygiftCreateactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityMarketResult) SetData(v int64) *AlibabaHmMarketingItembuygiftCreateactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItembuygiftCreateactivityMarketResult {
	s.Success = &v
	return s
}
